Subject: RE: [Ips] IPS WG Last Call Complete: iSER revisions

From: [email-masked]
Date: Tue, 11 Oct 2005 15:42:45 -0400

I think this may make for a sensible approach, specifically for every
current use of RCP:
- Determine if the reference really needs to be to an RDMA protocol
	stack.  Use RCAP if that's the case (e.g., to express iSER
	requirements on an RDMA protocol stack that it uses).
- Else use the generic RDMA acronym.
RCAP is definitely better than RCP, but where it can be validly
used, RDMA is superior to both.

>  > While the acronym RCP for RDMA-Capable Protocol is correct, it
>  > detracts from readability.  A lot of people will initially
>  > mis-read it as the Unix remote copy utility (e.g., see item 6. in
>  > Section 2.2, Architectural Goals).  The generic term "RDMA" should
>  > be substituted for "RCP" in phrases such as "RDMA functionality",
>  > "RDMA messages", "RDMA services", "RDMA layer" etc. to eliminate
>  > the RCP acronym, or at least greatly reduce its use.
> 
> I suggest considering "RCAP" as an alternative in that case.
> 
> I have some concern with a generic "RDMA" substitution because such a 
> usage doesn't distinguish the "iSER-required" (as defined in section 
> 4.1) RCAP protocol stack from the general RDMA concept.  And "RDMA" 
> itself is a sufficiently general term that doesn't lend itself to 
> redefinition in the iSER draft.
> 
> Mallikarjun

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips